Index: /branches/2012/dev_r3385_NOCS04_HAMF/NEMOGCM/NEMO/LIM_SRC_3/thd_ice.F90
===================================================================
--- /branches/2012/dev_r3385_NOCS04_HAMF/NEMOGCM/NEMO/LIM_SRC_3/thd_ice.F90	(revision 3516)
+++ /branches/2012/dev_r3385_NOCS04_HAMF/NEMOGCM/NEMO/LIM_SRC_3/thd_ice.F90	(revision 3517)
@@ -66,6 +66,6 @@
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:) ::   at_i_b        !: <==> the 2D  frld
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:) ::   fbif_1d       !: <==> the 2D  fbif
-   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:) ::   rdmicif_1d    !: <==> the 2D  rdmicif
-   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:) ::   rdmsnif_1d    !: <==> the 2D  rdmsnif
+   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:) ::   rdm_ice_1d    !: <==> the 2D  rdm_ice
+   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:) ::   rdm_snw_1d    !: <==> the 2D  rdm_snw
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:) ::   qlbbq_1d      !: <==> the 2D  qlbsbq
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:) ::   dmgwi_1d      !: <==> the 2D  dmgwi
@@ -160,5 +160,5 @@
       !
       ALLOCATE( sprecip_1d (jpij) , frld_1d    (jpij) , at_i_b     (jpij) ,     &
-         &      fbif_1d    (jpij) , rdmicif_1d (jpij) , rdmsnif_1d (jpij) ,     &
+         &      fbif_1d    (jpij) , rdm_ice_1d (jpij) , rdm_snw_1d (jpij) ,     &
          &      qlbbq_1d   (jpij) , dmgwi_1d   (jpij) , dvsbq_1d   (jpij) ,     &
          &      dvbbq_1d   (jpij) , dvlbq_1d   (jpij) , dvnbq_1d   (jpij) ,     &
Index: /branches/2012/dev_r3385_NOCS04_HAMF/NEMOGCM/NEMO/OPA_SRC/SBC/sbcblk_clio.F90
===================================================================
--- /branches/2012/dev_r3385_NOCS04_HAMF/NEMOGCM/NEMO/OPA_SRC/SBC/sbcblk_clio.F90	(revision 3516)
+++ /branches/2012/dev_r3385_NOCS04_HAMF/NEMOGCM/NEMO/OPA_SRC/SBC/sbcblk_clio.F90	(revision 3517)
@@ -175,5 +175,5 @@
          IF( ierr3 > 0 )   CALL ctl_stop( 'STOP', 'sbc_blk_clio: unable to allocate arrays' )
          !
-         sfx(:,:) = 0.0_wp                      ! salt flux; zero unless ice is present (computed in limsbc(_2).F90)
+         sfx(:,:) = 0._wp                       ! salt flux; zero unless ice is present (computed in limsbc(_2).F90)
          !
       ENDIF
Index: /branches/2012/dev_r3385_NOCS04_HAMF/NEMOGCM/NEMO/OPA_SRC/SBC/sbcblk_core.F90
===================================================================
--- /branches/2012/dev_r3385_NOCS04_HAMF/NEMOGCM/NEMO/OPA_SRC/SBC/sbcblk_core.F90	(revision 3516)
+++ /branches/2012/dev_r3385_NOCS04_HAMF/NEMOGCM/NEMO/OPA_SRC/SBC/sbcblk_core.F90	(revision 3517)
@@ -179,5 +179,5 @@
          CALL fld_fill( sf, slf_i, cn_dir, 'sbc_blk_core', 'flux formulation for ocean surface boundary condition', 'namsbc_core' )
          !
-         sfx(:,:) = 0.0_wp                         ! salt flux; zero unless ice is present (computed in limsbc(_2).F90)
+         sfx(:,:) = 0._wp                          ! salt flux; zero unless ice is present (computed in limsbc(_2).F90)
          !
       ENDIF
Index: /branches/2012/dev_r3385_NOCS04_HAMF/NEMOGCM/NEMO/OPA_SRC/SBC/sbccpl.F90
===================================================================
--- /branches/2012/dev_r3385_NOCS04_HAMF/NEMOGCM/NEMO/OPA_SRC/SBC/sbccpl.F90	(revision 3516)
+++ /branches/2012/dev_r3385_NOCS04_HAMF/NEMOGCM/NEMO/OPA_SRC/SBC/sbccpl.F90	(revision 3517)
@@ -779,5 +779,5 @@
          ! Stress module can be negative when received (interpolation problem)
          IF( llnewtau ) THEN 
-            frcv(jpr_taum)%z3(:,:,1) = MAX( 0.0e0, frcv(jpr_taum)%z3(:,:,1) )
+            frcv(jpr_taum)%z3(:,:,1) = MAX( 0._wp, frcv(jpr_taum)%z3(:,:,1) )
          ENDIF
       ENDIF
@@ -823,5 +823,5 @@
          !                                                   ! ========================= !
          !
-         !                                                       ! total freshwater fluxes over the ocean (emp, sfx )
+         !                                                       ! total freshwater fluxes over the ocean (emp)
          SELECT CASE( TRIM( sn_rcv_emp%cldes ) )                                    ! evaporation - precipitation
          CASE( 'conservative' )
@@ -1261,5 +1261,5 @@
       !                                                      ! ========================= !
       CASE( 'oce only' )
-         qsr_tot(:,:  ) = MAX(0.0,frcv(jpr_qsroce)%z3(:,:,1))
+         qsr_tot(:,:  ) = MAX( 0._wp , frcv(jpr_qsroce)%z3(:,:,1) )
       CASE( 'conservative' )
          qsr_tot(:,:  ) = frcv(jpr_qsrmix)%z3(:,:,1)
@@ -1364,5 +1364,5 @@
             ztmp3(:,:,1:jpl) = tn_ice(:,:,1:jpl) * a_i(:,:,1:jpl)
          CASE( 'no' )
-            ztmp3(:,:,:) = 0.0
+            ztmp3(:,:,:) = 0._wp
             DO jl=1,jpl
                ztmp3(:,:,1) = ztmp3(:,:,1) + tn_ice(:,:,jl) * a_i(:,:,jl)
@@ -1416,5 +1416,5 @@
             ztmp4(:,:,1:jpl) =  ht_s(:,:,1:jpl) * a_i(:,:,1:jpl)
          CASE( 'no' )
-            ztmp3(:,:,:) = 0.0   ;  ztmp4(:,:,:) = 0.0
+            ztmp3(:,:,:) = 0._wp   ;  ztmp4(:,:,:) = 0._wp
             DO jl=1,jpl
                ztmp3(:,:,1) = ztmp3(:,:,1) + ht_i(:,:,jl) * a_i(:,:,jl)
Index: /branches/2012/dev_r3385_NOCS04_HAMF/NEMOGCM/NEMO/OPA_SRC/SBC/sbcice_lim.F90
===================================================================
--- /branches/2012/dev_r3385_NOCS04_HAMF/NEMOGCM/NEMO/OPA_SRC/SBC/sbcice_lim.F90	(revision 3516)
+++ /branches/2012/dev_r3385_NOCS04_HAMF/NEMOGCM/NEMO/OPA_SRC/SBC/sbcice_lim.F90	(revision 3517)
@@ -10,5 +10,5 @@
    !!             -   ! 2008-04  (G. Madec)  sltyle and lim_ctl routine
    !!            3.3  ! 2010-11  (G. Madec) ice-ocean stress always computed at each ocean time-step
-   !!            4.0  ! 2011-01  (A Porter)  dynamical allocation
+   !!            3.4  ! 2011-01  (A Porter)  dynamical allocation
    !!----------------------------------------------------------------------
 #if defined key_lim3
@@ -170,25 +170,25 @@
 
          !                                           ! intialisation to zero    !!gm is it truly necessary ???
-         d_a_i_thd  (:,:,:)   = 0.e0   ;   d_a_i_trp  (:,:,:)   = 0.e0
-         d_v_i_thd  (:,:,:)   = 0.e0   ;   d_v_i_trp  (:,:,:)   = 0.e0
-         d_e_i_thd  (:,:,:,:) = 0.e0   ;   d_e_i_trp  (:,:,:,:) = 0.e0
-         d_v_s_thd  (:,:,:)   = 0.e0   ;   d_v_s_trp  (:,:,:)   = 0.e0
-         d_e_s_thd  (:,:,:,:) = 0.e0   ;   d_e_s_trp  (:,:,:,:) = 0.e0
-         d_smv_i_thd(:,:,:)   = 0.e0   ;   d_smv_i_trp(:,:,:)   = 0.e0
-         d_oa_i_thd (:,:,:)   = 0.e0   ;   d_oa_i_trp (:,:,:)   = 0.e0
-         !
-         fseqv    (:,:) = 0.e0
-         fsbri    (:,:) = 0.e0     ;   fsalt_res(:,:) = 0.e0
-         fsalt_rpo(:,:) = 0.e0
-         fhmec    (:,:) = 0.e0     ;   fhbri    (:,:) = 0.e0
-         fmmec    (:,:) = 0.e0     ;   fheat_res(:,:) = 0.e0
-         fheat_rpo(:,:) = 0.e0     ;   focea2D  (:,:) = 0.e0
-         fsup2D   (:,:) = 0.e0
+         d_a_i_thd  (:,:,:)   = 0._wp   ;   d_a_i_trp  (:,:,:)   = 0._wp
+         d_v_i_thd  (:,:,:)   = 0._wp   ;   d_v_i_trp  (:,:,:)   = 0._wp
+         d_e_i_thd  (:,:,:,:) = 0._wp   ;   d_e_i_trp  (:,:,:,:) = 0._wp
+         d_v_s_thd  (:,:,:)   = 0._wp   ;   d_v_s_trp  (:,:,:)   = 0._wp
+         d_e_s_thd  (:,:,:,:) = 0._wp   ;   d_e_s_trp  (:,:,:,:) = 0._wp
+         d_smv_i_thd(:,:,:)   = 0._wp   ;   d_smv_i_trp(:,:,:)   = 0._wp
+         d_oa_i_thd (:,:,:)   = 0._wp   ;   d_oa_i_trp (:,:,:)   = 0._wp
+         !
+         fseqv    (:,:) = 0._wp
+         fsbri    (:,:) = 0._wp     ;   fsalt_res(:,:) = 0._wp
+         fsalt_rpo(:,:) = 0._wp
+         fhmec    (:,:) = 0._wp     ;   fhbri    (:,:) = 0._wp
+         fmmec    (:,:) = 0._wp     ;   fheat_res(:,:) = 0._wp
+         fheat_rpo(:,:) = 0._wp     ;   focea2D  (:,:) = 0._wp
+         fsup2D   (:,:) = 0._wp
          ! 
-         diag_sni_gr(:,:) = 0.e0   ;   diag_lat_gr(:,:) = 0.e0
-         diag_bot_gr(:,:) = 0.e0   ;   diag_dyn_gr(:,:) = 0.e0
-         diag_bot_me(:,:) = 0.e0   ;   diag_sur_me(:,:) = 0.e0
+         diag_sni_gr(:,:) = 0._wp   ;   diag_lat_gr(:,:) = 0._wp
+         diag_bot_gr(:,:) = 0._wp   ;   diag_dyn_gr(:,:) = 0._wp
+         diag_bot_me(:,:) = 0._wp   ;   diag_sur_me(:,:) = 0._wp
          ! dynamical invariants
-         delta_i(:,:) = 0.e0       ;   divu_i(:,:) = 0.e0       ;   shear_i(:,:) = 0.e0
+         delta_i(:,:) = 0._wp       ;   divu_i(:,:) = 0._wp       ;   shear_i(:,:) = 0._wp
 
                           CALL lim_rst_opn( kt )     ! Open Ice restart file
@@ -196,6 +196,5 @@
          IF( ln_nicep )   CALL lim_prt_state( jiindx, jjindx, 1, ' - Beginning the time step - ' )   ! control print
          !
-         IF( .NOT. lk_c1d ) THEN
-                                                     ! Ice dynamics & transport (not in 1D case)
+         IF( .NOT. lk_c1d ) THEN                     ! Ice dynamics & transport (except in 1D case)
                           CALL lim_dyn( kt )              ! Ice dynamics    ( rheology/dynamics )
                           CALL lim_trp( kt )              ! Ice transport   ( Advection/diffusion )
@@ -210,5 +209,5 @@
                           CALL lim_var_bv                 ! bulk brine volume (diag)
                           CALL lim_thd( kt )              ! Ice thermodynamics 
-                          zcoef = rdt_ice / 86400.e0      !  Ice natural aging
+                          zcoef = rdt_ice /rday           !  Ice natural aging
                           oa_i(:,:,:) = oa_i(:,:,:) + a_i(:,:,:) * zcoef
                           CALL lim_var_glo2eqv            ! this CALL is maybe not necessary (Martin)
@@ -268,5 +267,5 @@
 
       inb_altests = 10
-      inb_alp(:)  = 0
+      inb_alp(:)  =  0
 
       ! Alert if incompatible volume and concentration
@@ -277,5 +276,5 @@
          DO jj = 1, jpj
             DO ji = 1, jpi
-               IF(  v_i(ji,jj,jl) /= 0.e0   .AND.   a_i(ji,jj,jl) == 0.e0   ) THEN
+               IF(  v_i(ji,jj,jl) /= 0._wp   .AND.   a_i(ji,jj,jl) == 0._wp   ) THEN
                   WRITE(numout,*) ' ALERTE 2 :   Incompatible volume and concentration '
                   WRITE(numout,*) ' at_i     ', at_i(ji,jj)
@@ -297,5 +296,5 @@
       DO jj = 1, jpj
          DO ji = 1, jpi
-            IF(   ht_i(ji,jj,jl) .GT. 50.0   ) THEN
+            IF(   ht_i(ji,jj,jl)  >  50._wp   ) THEN
                CALL lim_prt_state( ji, jj, 2, ' ALERTE 3 :   Very thick ice ' )
                inb_alp(ialert_id) = inb_alp(ialert_id) + 1
@@ -309,6 +308,6 @@
       DO jj = 1, jpj
          DO ji = 1, jpi
-            IF(   MAX( ABS( u_ice(ji,jj) ), ABS( v_ice(ji,jj) ) ) .GT. 0.5  .AND.  &
-               &  at_i(ji,jj) .GT. 0.e0   ) THEN
+            IF(   MAX( ABS( u_ice(ji,jj) ), ABS( v_ice(ji,jj) ) ) > 0.5  .AND.  &
+               &  at_i(ji,jj) > 0._wp   ) THEN
                CALL lim_prt_state( ji, jj, 1, ' ALERTE 4 :   Very fast ice ' )
                WRITE(numout,*) ' ice strength             : ', strength(ji,jj)
@@ -332,5 +331,5 @@
       DO jj = 1, jpj
          DO ji = 1, jpi
-            IF(   tms(ji,jj) .LE. 0.0   .AND.   at_i(ji,jj) .GT. 0.e0   ) THEN 
+            IF(   tms(ji,jj) <= 0._wp   .AND.   at_i(ji,jj) > 0._wp   ) THEN 
                CALL lim_prt_state( ji, jj, 1, ' ALERTE 6 :   Ice on continents ' )
                WRITE(numout,*) ' masks s, u, v        : ', tms(ji,jj), tmu(ji,jj), tmv(ji,jj) 
@@ -356,7 +355,7 @@
             DO ji = 1, jpi
 !!gm  test twice sm_i ...  ????  bug?
-               IF( ( ( ABS( sm_i(ji,jj,jl) ) .LT. 0.50) .OR. &
-                     ( ABS( sm_i(ji,jj,jl) ) .LT. 0.50) ) .AND. &
-                             ( a_i(ji,jj,jl) .GT. 0.e0 ) ) THEN
+               IF( ( ( ABS( sm_i(ji,jj,jl) ) < 0.5 )   .OR.  &
+                     ( ABS( sm_i(ji,jj,jl) ) < 0.5 ) ) .AND. &
+                             ( a_i(ji,jj,jl) > 0._wp ) ) THEN
 !                 CALL lim_prt_state(ji,jj,1, ' ALERTE 7 :   Very fresh ice ' )
 !                 WRITE(numout,*) ' sst                  : ', sst_m(ji,jj)
@@ -377,7 +376,7 @@
          DO jj = 1, jpj
             DO ji = 1, jpi
-               IF ( ( ( ABS( o_i(ji,jj,jl) ) .GT. rdt_ice ) .OR. &
-                      ( ABS( o_i(ji,jj,jl) ) .LT. 0.00) ) .AND. &
-                             ( a_i(ji,jj,jl) .GT. 0.0 ) ) THEN
+               IF ( ( ( ABS( o_i(ji,jj,jl) ) > rdt_ice ) .OR. &
+                      ( ABS( o_i(ji,jj,jl) ) < 0._wp) ) .AND. &
+                             ( a_i(ji,jj,jl) > 0._wp ) ) THEN
                   CALL lim_prt_state( ji, jj, 1, ' ALERTE 9 :   Wrong ice age ')
                   inb_alp(ialert_id) = inb_alp(ialert_id) + 1
@@ -412,5 +411,5 @@
       DO jj = 1, jpj
          DO ji = 1, jpi
-            IF(   ABS( qns(ji,jj) ) .GT. 1500.0   .AND.  ( at_i(ji,jj) .GT. 0.0 ) )  THEN
+            IF(   ABS( qns(ji,jj) ) > 1500._wp  .AND.  at_i(ji,jj) > 0._wp  )  THEN
                !
                WRITE(numout,*) ' ALERTE 8 :   Very high non-solar heat flux'
@@ -450,6 +449,6 @@
                DO ji = 1, jpi
                   ztmelts    =  -tmut * s_i(ji,jj,jk,jl) + rtt
-                  IF( t_i(ji,jj,jk,jl) .GE. ztmelts  .AND.  v_i(ji,jj,jl) .GT. 1.e-6   &
-                     &                               .AND.  a_i(ji,jj,jl) .GT. 0.e0    ) THEN
+                  IF( t_i(ji,jj,jk,jl) >= ztmelts  .AND.  v_i(ji,jj,jl) > 1.e-6   &
+                     &                             .AND.  a_i(ji,jj,jl) > 0._wp   ) THEN
                      WRITE(numout,*) ' ALERTE 10 :   Very warm ice'
                      WRITE(numout,*) ' ji, jj, jk, jl : ', ji, jj, jk, jl
Index: /branches/2012/dev_r3385_NOCS04_HAMF/NEMOGCM/NEMO/OPA_SRC/SBC/sbcrnf.F90
===================================================================
--- /branches/2012/dev_r3385_NOCS04_HAMF/NEMOGCM/NEMO/OPA_SRC/SBC/sbcrnf.F90	(revision 3516)
+++ /branches/2012/dev_r3385_NOCS04_HAMF/NEMOGCM/NEMO/OPA_SRC/SBC/sbcrnf.F90	(revision 3517)
@@ -82,4 +82,5 @@
    END FUNCTION sbc_rnf_alloc
 
+
    SUBROUTINE sbc_rnf( kt )
       !!----------------------------------------------------------------------
@@ -95,5 +96,5 @@
       !!----------------------------------------------------------------------
       INTEGER, INTENT(in) ::   kt          ! ocean time step
-      !!
+      !
       INTEGER  ::   ji, jj   ! dummy loop indices
       !!----------------------------------------------------------------------
@@ -126,5 +127,6 @@
          !
          IF( MOD( kt - 1, nn_fsbc ) == 0 ) THEN
-            rnf(:,:) = rn_rfact * ( sf_rnf(1)%fnow(:,:,1) )  
+            !
+            rnf(:,:) = rn_rfact * ( sf_rnf(1)%fnow(:,:,1) )       ! updated runoff value at time step kt
             !
             !                                                     ! set temperature & salinity content of runoffs
@@ -248,10 +250,10 @@
       INTEGER           ::   ji, jj, jk    ! dummy loop indices
       INTEGER           ::   ierror, inum  ! temporary integer
-      !! 
+      !
       NAMELIST/namsbc_rnf/ cn_dir, ln_rnf_emp, ln_rnf_depth, ln_rnf_tem, ln_rnf_sal,   &
          &                 sn_rnf, sn_cnf    , sn_s_rnf    , sn_t_rnf  , sn_dep_rnf,   &  
          &                 ln_rnf_mouth      , rn_hrnf     , rn_avt_rnf, rn_rfact  
       !!----------------------------------------------------------------------
-
+      !
       !                                   ! ============
       !                                   !   Namelist
@@ -269,5 +271,5 @@
       REWIND ( numnam )                         ! Read Namelist namsbc_rnf
       READ   ( numnam, namsbc_rnf )
-
+      !
       !                                         ! Control print
       IF(lwp) THEN
@@ -282,5 +284,5 @@
          WRITE(numout,*) '      multiplicative factor for runoff           rn_rfact     = ', rn_rfact    
       ENDIF
-
+      !
       !                                   ! ==================
       !                                   !   Type of runoff
@@ -391,6 +393,5 @@
             nkrnf = 2
             DO WHILE( nkrnf /= jpkm1 .AND. gdepw_0(nkrnf+1) < rn_hrnf )   ;   nkrnf = nkrnf + 1   ;   END DO
-            IF( ln_sco )   &
-               CALL ctl_warn( 'sbc_rnf: number of levels over which Kz is increased is computed for zco...' )
+            IF( ln_sco )   CALL ctl_warn( 'sbc_rnf: number of levels over which Kz is increased is computed for zco...' )
          ENDIF
          IF(lwp) WRITE(numout,*)
@@ -410,5 +411,5 @@
          nkrnf = 0
       ENDIF
-
+      !
    END SUBROUTINE sbc_rnf_init
 
@@ -434,5 +435,4 @@
       !!                rnfmsk_z vertical structure
       !!----------------------------------------------------------------------
-      !
       INTEGER            ::   inum        ! temporary integers
       CHARACTER(len=140) ::   cl_rnfile   ! runoff file name
@@ -442,17 +442,17 @@
       IF(lwp) WRITE(numout,*) 'rnf_mouth : river mouth mask'
       IF(lwp) WRITE(numout,*) '~~~~~~~~~ '
-
+      !
       cl_rnfile = TRIM( cn_dir )//TRIM( sn_cnf%clname )
       IF( .NOT. sn_cnf%ln_clim ) THEN   ;   WRITE(cl_rnfile, '(a,"_y",i4)' ) TRIM( cl_rnfile ), nyear    ! add year
          IF( sn_cnf%cltype == 'monthly' )   WRITE(cl_rnfile, '(a,"m",i2)'  ) TRIM( cl_rnfile ), nmonth   ! add month
       ENDIF
-  
+      !
       ! horizontal mask (read in NetCDF file)
       CALL iom_open ( cl_rnfile, inum )                           ! open file
       CALL iom_get  ( inum, jpdom_data, sn_cnf%clvar, rnfmsk )    ! read the river mouth array
       CALL iom_close( inum )                                      ! close file
-      
+      !
       IF( nclosea == 1 )    CALL clo_rnf( rnfmsk )                ! closed sea inflow set as ruver mouth
-
+      !
       rnfmsk_z(:)   = 0._wp                                        ! vertical structure 
       rnfmsk_z(1)   = 1.0
